Bug 1478510

Summary: [POD] database.yml and GUID collected as link after log collection in podified appliance
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: ApplianceAssignee: Bo Yao <boyao>
Status: CLOSED ERRATA QA Contact: Ievgen Zapolskyi <izapolsk>
Severity: high Docs Contact:
Priority: high    
Version: 5.8.0CC: abellott, bazulay, epacific, gtanzill, hkataria, izapolsk, jhardy, lavenel, mpovolny, obarenbo, simaishi
Target Milestone: GAKeywords: ZStream
Target Release: 5.8.2   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: log_collect:container:pod
Fixed In Version: 5.8.2.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1450134 Environment:
Last Closed: 2017-10-24 00:17:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management Target Upstream Version:
Bug Depends On: 1450134    
Bug Blocks:    

Comment 2 CFME Bot 2017-08-04 17:51:05 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/f36a00bb09e808be38395969692e174239a9ac1d

commit f36a00bb09e808be38395969692e174239a9ac1d
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jul 6 09:20:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 13:44:40 2017 -0400

    Merge pull request #15420 from ailisp/bug-1450134
    
     Collect log follows symlink recursively to the origin file
    (cherry picked from commit 81d556701a5da83f0f48c58fb0274df9543769ed)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478510

 lib/vmdb/util.rb           | 11 ++++++--
 spec/lib/vmdb/util_spec.rb | 67 ++++++++++++++++++++++++++++++++++++----------
 2 files changed, 62 insertions(+), 16 deletions(-)

Comment 3 Ievgen Zapolskyi 2017-10-02 13:36:49 UTC
symlinks are correctly collected now

Comment 5 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005